#!/bin/csh -f

# create the links needed to expose a specific catalog to the distribution server

# general locations
set wwwroot = /data/ippc17.0/www/dvodist/www-root
set catroot = /data/ipp060.0/gpc1/catdirs/LAP.ThreePi.20120706.s1

set catdir = LAP.3pi.PV1
set cattgt = $wwwroot/$catdir

set nlist = (n0000 n0730 n1500 n2230 n3000 n3730 n4500 n5230 n6000 n6730 n7500 n8230)
set slist = (s0000 s0730 s1500 s2230 s3000 s3730 s4500 s5230 s6000 s6730 s7500 s8230)

# top-level files
mkdir -p $cattgt
foreach file (HostTable.dat Images.dat Photcodes.dat SkyTable.fits flatcorr.fits)
  ln -sf $catroot/$file $cattgt
end

# make DEC directories
foreach dir ($nlist $slist)
  mkdir -p $cattgt/$dir
end

# link all files from all hostdirs into all DEC dirs
foreach hostdir (`grep -v \# $cattgt/HostTable.dat | awk '{print $3}'`)
  echo $hostdir
  foreach dir ($nlist $slist)
    ln -sf $hostdir/$dir/*.cpt $cattgt/$dir
    ln -sf $hostdir/$dir/*.cpm $cattgt/$dir
    ln -sf $hostdir/$dir/*.cps $cattgt/$dir
    ln -sf $hostdir/$dir/*.cpn $cattgt/$dir
  end
end
